Get an alert template
curl --request GET \
--url https://api.togai.com/alert_templates/{alert_template_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.togai.com/alert_templates/{alert_template_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.togai.com/alert_templates/{alert_template_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "abcd-efgh-ijkl-mnop",
"name": "Alert1",
"desc": "Alert1 Description",
"entitySchema": "{\"type\":\"object\",\"properties\":{\"usageMeterId\":{\"type\":\"string\"}}}",
"entityType": "UsageMeter",
"interval": "30",
"parametersSchema": "{\"type\":\"object\",\"properties\":{\"threshold\":{\"type\":\"number\"}}}",
"ownerSchema": "{\"type\":\"object\",\"properties\":{\"accountId\":{\"type\":\"string\"}}}",
"ownerType": "Account",
"createdAt": "2020-01-01T00:00:00Z",
"updatedAt": "2020-01-01T00:00:00Z"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}Alerts
Get an alert template
Get an alert template
GET
/
alert_templates
/
{alert_template_id}
Get an alert template
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"abcd-efgh-ijkl-mnop"
Response
Response for getting alert template
Alert Template ID
Alert Template Name
Cron Interval
Created At
Alert Template Description
Entity Schema
Entity Type
Owner Schema
Owner Type
Parameters Schema
Updated At
⌘I
